<template>
  <div class="error-page">
    <h1>{{ error.statusCode === 404 ? 'Page not found' : 'Oops, something went wrong!' }}</h1>
    <p>{{ error.message }}</p>
    <v-btn @click="fnMove">홈으로 이동</v-btn>
  </div>
</template>

<script setup>
const props = defineProps({
  error: Object
})
function fnMove(){
  clearError({ redirect: '/' })
}
</script>

<style lang="scss" scoped>
.error-page {
  text-align: center;
  margin: 50px auto;
}
</style>